Bug 588701 - fedoraproject.org Website Accept-Language
fedoraproject.org Website Accept-Language
Status: CLOSED NOTABUG
Product: Fedora Localization
Classification: Fedora
Component: Other language (Show other bugs)
unspecified
All All
low Severity medium
: ---
: ---
Assigned To: Dimitris Glezos
A S Alam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 06:33 EDT by Rui Gouveia
Modified: 2013-07-02 21:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 18:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Gouveia 2010-05-04 06:33:08 EDT
Description of problem:

Hi,

Every time I access the Fedora Project website (http://fedoraproject.org/), I am greeted with the pt_BR version of it. In my Firefox I've got defined the languages "pt, en". So, I'm thinking that if the site ignores my language
preferences, I should have received the English version, if not, and the
pt is not an option, I should receive the English version as well, and
not the Brazilian.


Version-Release number of selected component (if applicable):

All releases so far.


How reproducible:

Access the website with a Language preference different from English.


Steps to Reproduce:
1. Open browser.
2. Define a language different from English.
3. Access the website fedoraproject.org
  
Actual results:

I got the pt_BR version of the site


Expected results:

The pt_PT page version of the site


Additional info:


Thanks for your time.


Rui Gouveia
Portuguese Team Co-coordinator
Comment 1 Pedro Silva 2010-05-04 15:22:08 EDT
Or default to en_EN if no pt_PT is available. IMHO, may include a link to pt_BR.
Comment 2 Miloš Komarčević 2010-05-04 16:43:56 EDT
Well, I actually think it is doing the correct thing, as specified by http://tools.ietf.org/html/rfc4647

You asked for "pt" (country unspecified), you get the closest available match.
Comment 3 Rui Gouveia 2010-05-04 20:06:51 EDT
Hi Miloš,

Unfortunately, Firefox doesn't have a "pt-PT" version of this string. The available options are "pt" for Portuguese and "pt-br" for Brasilean. So I couldn't test your theory. But I tested it with the German language.

I've tried both: "de" and "de_CH". When I choose "de" as preferred language in Firefox, I get the "de" page. When I choose "de_CH" I get the "de_CH" page.

So, why doesn't this works exactly like this for "pt"?

Besides, when the country is not specified shouldn't the Portuguese from Portugal be served, provided a translation exists?


Thanks

Rui Gouveia
Comment 4 Piotr Drąg 2010-05-05 11:01:34 EDT
I think this is clearly the Infrastructure issue, would you mind filing a ticket at their Trac instance?

https://fedorahosted.org/fedora-infrastructure/
Comment 5 Rui Gouveia 2010-05-05 12:28:31 EDT
Ok.
Thanks for you time.

Rui Gouveia
Comment 6 Rui Gouveia 2010-05-05 12:39:49 EDT
Humm...
How do I do that?
I looked around and couldn't find a way of submitting a ticket.
Comment 7 Piotr Drąg 2010-05-05 12:55:07 EDT
You need to log in with your FAS user name and password first (it's just under search box). Then click on the 'New Ticket' tab which will appear.
Comment 8 Rui Gouveia 2010-05-05 18:34:54 EDT
Silly me. I was using a different login. :(
Thanks.
Comment 9 Miloš Komarčević 2010-05-06 06:16:39 EDT
Rui, I misunderstood, I wasn't clear from your initial report the "pt" translation existed. I agree it should be matched if it exists.

Note You need to log in before you can comment on or make changes to this bug.